std::bad_expected_access(3)

NAME
std::bad_expected_access - std::bad_expected_access

Synopsis
   Defined in header <expected>
   template< class E > (1) (since C++23)
   class bad_expected_access : public std::bad_expected_access<void>
   template<> (2) (since C++23)
   class bad_expected_access<void> : public std::exception
   1) Defines a type of object to be thrown by std::expected::value when accessing an
   expected object that contains an unexpected value. bad_expected_access<E> stores a
   copy of the unexpected value.
   2) bad_expected_access<void> is the base class of all other bad_expected_access
   specializations.
    This section is incomplete
    Reason: inheritance diagram

Parameters
   (none)

Return value
   Pointer to a null-terminated string with explanatory information. The string is
   suitable for conversion and display as a std::wstring. The pointer is guaranteed to
   be valid at least until the exception object from which it is obtained is destroyed,
   or until a non-const member function (e.g. copy assignment operator) on the
   exception object is called.

Notes
   Implementations are allowed but not required to override what().
   Members of the bad_expected_access<void> specialization
   constructor constructs a bad_expected_access<void> object
                 (protected member function)
   destructor destroys the bad_expected_access<void> object
                 (protected member function)
   operator= replaces the bad_expected_access<void> object
                 (protected member function)
   what returns the explanatory string
                 (public member function)
   Special member functions of bad_expected_access<void> are protected. They can only
   be called by derived classes.

Example
    This section is incomplete
    Reason: no example

Categories:
     * Todo with reason
     * Todo no example